import 'package:fluro/fluro.dart';
import 'package:flutter/material.dart';

mixin Application {
  static FluroRouter router;

  /// 默认原生动画模式弹出页面
  static void navigateTo(BuildContext context, String path) {
    router.navigateTo(context, path, transition: TransitionType.native);
  }

  /// 返回
  static void goBack(BuildContext context, {dynamic result}) {
    router.pop(context, result);
  }
}
